Clear all memory for the current user (use with caution).
This is a destructive operation that removes all memory items the authenticated user authored (other members' items in a shared workspace are kept, SEC-CLEAR-ALL-SHARED-WS-1). Use DELETE /memory/clear-all for more options including nuclear mode.
AuthorizationBearer <token>
Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/memory/clear"null{
"detail": {
"code": "invalid_scoped_validity",
"message": "string",
"retryable": false
}
}{
"detail": {
"code": "invalid_scoped_validity",
"message": "string",
"retryable": false
}
}{
"detail": {
"code": "invalid_scoped_validity",
"message": "string",
"retryable": false
}
}